FieldMappingIO Class Referenceabstract

`#include <FieldMappingIO.h>`

Inheritance diagram for FieldMappingIO:

## Public Types

typedef FieldMappingIO | class_type
typedef boost::intrusive_ptr< FieldMappingIO > | Ptr
Public Types inherited from RefBase
typedef boost::intrusive_ptr< RefBase > | Ptr
typedef boost::weak_ptr< RefBase > | WeakPtr

## Public Member Functions

virtual std::string | className () const =0
| Returns the class name. This is used when registering the class in the ClassFactory.
| FieldMappingIO ()
| Ctor.
virtual FieldMapping::Ptr | read (const OgIGroup &mappingGroup)=0
| Read the field at the given hdf5 group.
virtual FieldMapping::Ptr | read (hid_t mappingGroup)=0
| Read the field at the given hdf5 group.
virtual bool | write (hid_t mappingGroup, FieldMapping::Ptr mapping)=0
| Write the field to the given mapping group.
virtual bool | write (OgOGroup &mappingGroup, FieldMapping::Ptr mapping)=0
| Write the field to the given mapping group.
virtual | ~FieldMappingIO ()
| Dtor.
Public Member Functions inherited from RefBase
void | ref () const
| Used by boost::intrusive_pointer.
size_t | refcnt ()
| Used by boost::intrusive_pointer.
void | unref () const
| Used by boost::intrusive_pointer.
WeakPtr | weakPtr () const
| RefBase ()
| RefBase (const RefBase &)
| Copy constructor.
RefBase & | operator= (const RefBase &)
| Assignment operator.
virtual | ~RefBase ()
| Destructor.
virtual bool | checkRTTI (const char *typenameStr)=0
| This function is only implemented by concrete classes and triggers the actual RTTI check through matchRTTI();.
bool | matchRTTI (const char *typenameStr)
| Performs a check to see if the given typename string matches this class' This needs to be implemented in -all- subclasses, even abstract ones.

## Static Public Member Functions

static const char * | staticClassType ()
| RTTI replacement.
static const char * | staticClassType ()

## Public Attributes

| DEFINE_FIELD_RTTI_ABSTRACT_CLASS

## Private Types

typedef RefBase | base
| Convenience typedef for referring to base class.

## Detailed Description

Definition at line 64 of file FieldMappingIO.h.

## Member Typedef Documentation

## Ptr

typedef boost::intrusive_ptr<FieldMappingIO> FieldMappingIO::Ptr

Definition at line 71 of file FieldMappingIO.h.

## class_type

typedef FieldMappingIO FieldMappingIO::class_type

Definition at line 75 of file FieldMappingIO.h.

## base

typedef RefBase FieldMappingIO::base

private

Convenience typedef for referring to base class.

Definition at line 124 of file FieldMappingIO.h.

## Constructor & Destructor Documentation

## FieldMappingIO()

FieldMappingIO::FieldMappingIO | ( |  | ) |

inline

Ctor.

Definition at line 87 of file FieldMappingIO.h.

: RefBase()
{ }
RefBase::RefBase
RefBase()
Definition RefCount.h:120

References RefBase::RefBase().

Referenced by FrustumFieldMappingIO::FrustumFieldMappingIO(), MatrixFieldMappingIO::MatrixFieldMappingIO(), and NullFieldMappingIO::NullFieldMappingIO().

## ~FieldMappingIO()

virtual FieldMappingIO::~FieldMappingIO | ( |  | ) |

inline virtual

Dtor.

Definition at line 92 of file FieldMappingIO.h.

{ }

## Member Function Documentation

## staticClassType()

const char * FieldMappingIO::staticClassType | ( |  | ) |

inline static

RTTI replacement.

Definition at line 79 of file FieldMappingIO.h.

{
return "FieldMappingIO";
}

## read() [1/2]

virtual FieldMapping::Ptr FieldMappingIO::read | ( | hid_t | mappingGroup | ) |

pure virtual

Read the field at the given hdf5 group.

Returns
  Pointer to the created field, or a null pointer if the field couldn't be read.

Implemented in FrustumFieldMappingIO, MatrixFieldMappingIO, and NullFieldMappingIO.

## read() [2/2]

virtual FieldMapping::Ptr FieldMappingIO::read | ( | const OgIGroup & | mappingGroup | ) |

pure virtual

Read the field at the given hdf5 group.

Returns
  Pointer to the created field, or a null pointer if the field couldn't be read.

Implemented in FrustumFieldMappingIO, MatrixFieldMappingIO, and NullFieldMappingIO.

## write() [1/2]

virtual bool FieldMappingIO::write | ( | hid_t | mappingGroup,
|  | FieldMapping::Ptr | mapping )

pure virtual

Write the field to the given mapping group.

Returns
  Whether the operation was successful

Implemented in FrustumFieldMappingIO, MatrixFieldMappingIO, and NullFieldMappingIO.

## write() [2/2]

virtual bool FieldMappingIO::write | ( | OgOGroup & | mappingGroup,
|  | FieldMapping::Ptr | mapping )

pure virtual

Write the field to the given mapping group.

Returns
  Whether the operation was successful

Implemented in FrustumFieldMappingIO, MatrixFieldMappingIO, and NullFieldMappingIO.

## className()

virtual std::string FieldMappingIO::className | ( |  | ) | const

pure virtual

Returns the class name. This is used when registering the class in the ClassFactory.

Implemented in FrustumFieldMappingIO, MatrixFieldMappingIO, and NullFieldMappingIO.

## Member Data Documentation

## DEFINE_FIELD_RTTI_ABSTRACT_CLASS

FieldMappingIO::DEFINE_FIELD_RTTI_ABSTRACT_CLASS

Definition at line 76 of file FieldMappingIO.h.

The documentation for this class was generated from the following file:

- export/FieldMappingIO.h